> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/admin-apis/sites/getting-a-sites-authorized-shipping-countries.md).

# Getting a site's authorized shipping countries

You can use the [`GET /v1/sites/{siteId}/authorized-shipping-countries`](https://docs.digitalriver.com/commerce-api-references/admin-apis/site-management/get-authorized-countries#v1-sites-siteid-authorized-shipping-countries) resource to retrieve a list of all countries authorized to purchase products from your site. The list of [authorized shipping countries](/commerce-api/admin-apis/sites/configuring-authorized-shipping-and-billing-countries.md) is configured in [Global Commerce](https://gc.digitalriver.com/gc/ent/login.do).&#x20;

{% tabs %}
{% tab title="cURL" %}

```javascript
curl --location --request GET 'https://api.digitalriver.com/v1/sites/{siteId}/authorized-shipping-countries' \
--header 'authorization: Basic ***\
...
```

{% endtab %}

{% tab title="200 OK response" %}
You will receive a `200 OK` response. The response returns data by locale and county.

```json
{  
   "authorizedShippingCountries": [        
      {          
         "locale": "en_US",          
         "countries": [            
            {              
               "displayName": "Taiwan",              
               "countryCode": "TW"            
            },            
            {              
               "displayName": "Japan",              
               "countryCode": "JP"            
            }          
         ]        
      },        
      {          
         "locale": "en_GB",          
         "countries": [            
            {              
               "displayName": "France",              
               "countryCode": "FR"            
            },            
            {              
               "displayName": "Germany",              
               "countryCode": "DE"            
            }          
         ]        
      }      
   ]
}
```

{% endtab %}
{% endtabs %}

Add the `?locale` query parameter at the end of the request to get the list of authorized shipping countries by locale. For example:

{% tabs %}
{% tab title="cURL" %}

```http
curl --location --request GET 'https://api.digitalriver.com/v1/sites/{siteId}/authorized-shipping-countries?locale=en_US' \
--header 'authorization: Basic ***\
...
```

{% endtab %}
{% endtabs %}

See the [query parameters](https://docs.digitalriver.com/commerce-api-references/admin-apis/site-management/get-authorized-countries#v1-sites-siteid-authorized-shipping-countries) for more information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/admin-apis/sites/getting-a-sites-authorized-shipping-countries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
